Bug 1151494 - (CVE-2019-11779) VUL-0: CVE-2019-11779: mosquitto: malicious MQTT sends SUBSCRIBE packet leads to stack over flow
(CVE-2019-11779)
VUL-0: CVE-2019-11779: mosquitto: malicious MQTT sends SUBSCRIBE packet lead...
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: Security
Leap 15.0
Other Other
: P3 - Medium : Normal (vote)
: ---
Assigned To: Martin Hauke
Security Team bot
https://smash.suse.de/issue/242961/
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-09-20 13:31 UTC by Alexandros Toptsoglou
Modified: 2020-01-16 13:16 UTC (History)
0 users

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexandros Toptsoglou 2019-09-20 13:31:39 UTC
CVE-2019-11779

In Eclipse Mosquitto 1.5.0 to 1.6.5 inclusive, if a malicious MQTT client sends a SUBSCRIBE packet containing a topic that consists of approximately 65400 or more '/' characters, i.e. the topic hierarchy separator, then a stack overflow will occur.

Reference:
https://bugs.eclipse.org/bugs/show_bug.cgi?id=551160

References:
https://bugzilla.redhat.com/show_bug.cgi?id=1753846
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2019-11779
http://people.canonical.com/~ubuntu-security/cve/2019/CVE-2019-11779.html
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-11779
https://bugs.eclipse.org/bugs/show_bug.cgi?id=551160
Comment 1 Martin Hauke 2019-09-21 20:13:49 UTC
Leap 15.0 ships mosquitto 1.4.15 which is not affected.

Fix for Leap 15.1:
https://build.opensuse.org/request/show/732406

Fix for Tumbleweed:
https://build.opensuse.org/request/show/732378
Comment 2 Swamp Workflow Management 2019-09-28 16:11:28 UTC
openSUSE-SU-2019:2206-1: An update that fixes one vulnerability is now available.

Category: security (moderate)
Bug References: 1151494
CVE References: CVE-2019-11779
Sources used:
openSUSE Leap 15.1 (src):    mosquitto-1.5.7-lp151.2.3.1
Comment 3 Swamp Workflow Management 2019-10-03 22:11:35 UTC
openSUSE-SU-2019:2247-1: An update that fixes one vulnerability is now available.

Category: security (moderate)
Bug References: 1151494
CVE References: CVE-2019-11779
Sources used:
openSUSE Backports SLE-15-SP1 (src):    mosquitto-1.5.7-bp151.3.3.1
Comment 4 Alexandros Toptsoglou 2020-01-16 13:16:59 UTC
all done. Closing